# roast-my-deps

> Your dependencies are bad and you should feel bad

## Install

```sh
yarn add roast-my-deps
```

## Example

From [Spectrum](https://github.com/withspectrum/spectrum):

```
roast-my-deps --ignore draft-js* --ignore apollo-link-ws
```

> **Note:** Rollup sometimes can't figure out imports and you either need to
> provide your own config (via `--config`) or just ignore them (via `--ignore/-i`)

**Output**

```
┌─────────────────────────────────────────────┬─────────┬─────────┐
│ Name                                        │ min     │ min+gz  │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ All                                         │ 919 kB  │ 261 kB  │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-dom                                   │ 91.9 kB │ 28.2 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ moment                                      │ 51.8 kB │ 16.3 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ raven-js                                    │ 39.6 kB │ 13.2 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ validator                                   │ 47.2 kB │ 11.7 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ prismjs                                     │ 31.7 kB │ 11.3 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ styled-components                           │ 28.5 kB │ 9.82 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ apollo-client                               │ 35.7 kB │ 9 kB    │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ lodash                                      │ 24.5 kB │ 8.56 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-flip-move                             │ 23.2 kB │ 6.71 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-apollo                                │ 23.8 kB │ 5.82 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-helmet-async                          │ 20.1 kB │ 5.66 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-modal                                 │ 18.7 kB │ 5.35 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ draft-js                                    │ 21.1 kB │ 5.13 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ history                                     │ 21.3 kB │ 5.06 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ apollo-cache-inmemory                       │ 16.1 kB │ 5.05 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-stripe-elements                       │ 18.7 kB │ 4.37 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ apollo-utilities                            │ 13.4 kB │ 3.99 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-router                                │ 16.2 kB │ 3.79 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-redux                                 │ 11.8 kB │ 3.6 kB  │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ redraft                                     │ 11.8 kB │ 3.31 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-stripe-checkout                       │ 9.08 kB │ 3.08 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react                                       │ 6.09 kB │ 2.46 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-textarea-autosize                     │ 6.78 kB │ 2.44 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-trend                                 │ 5.38 kB │ 2.22 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-transition-group                      │ 6.46 kB │ 2.21 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-router-dom                            │ 6.78 kB │ 2.04 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ recompose                                   │ 7.43 kB │ 1.92 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-error-boundary                        │ 4.59 kB │ 1.89 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ redux                                       │ 4.55 kB │ 1.83 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-infinite-scroller-with-scroll-element │ 4.7 kB  │ 1.71 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-loadable                              │ 4.67 kB │ 1.69 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ emoji-regex                                 │ 7.27 kB │ 1.56 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-clipboard.js                          │ 3.9 kB  │ 1.55 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ slugg                                       │ 3.43 kB │ 1.43 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ react-popper                                │ 4.15 kB │ 1.43 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ apollo-link                                 │ 3.44 kB │ 1.41 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ query-string                                │ 2.52 kB │ 1.04 kB │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ graphql-tag                                 │ 1.93 kB │ 990 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ apollo-upload-client                        │ 1.66 kB │ 879 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ string-replace-to-array                     │ 1.41 kB │ 683 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ hoist-non-react-statics                     │ 913 B   │ 540 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ css.escape                                  │ 805 B   │ 485 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ debounce                                    │ 562 B   │ 334 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ offline-plugin                              │ 501 B   │ 321 B   │
├─────────────────────────────────────────────┼─────────┼─────────┤
│ redux-thunk                                 │ 461 B   │ 316 B   │
└─────────────────────────────────────────────┴─────────┴─────────┘
```
